Scheduled Actions
Cron-based container automation.
GET /api/schedules
List all scheduled actions.
POST /api/schedules admin
Create a scheduled action.
Request:
{
"name": "Restart nginx nightly",
"containerId": "abc123",
"containerName": "nginx",
"action": "restart",
"cronExpression": "0 0 * * *"
}
Valid actions: start, stop, restart
Cron format: Standard 5-field (minute hour day-of-month month day-of-week)
| Example | Schedule |
|---|---|
0 0 * * * | Daily at midnight |
*/15 * * * * | Every 15 minutes |
0 9 * * 1-5 | Weekdays at 9 AM |
0 0 1 * * | First day of month |
DELETE /api/schedules/:id admin
Delete a scheduled action.
PUT /api/schedules/:id/toggle admin
Enable or disable a schedule.
Request:
{ "enabled": false }
GET /api/schedules/history
Get execution history.
| Query Param | Default | Max |
|---|---|---|
limit | 50 | 500 |
Limits: Max 50 schedules (CE).